'use strict';

var _nodeGetopt = require('node-getopt');

var _nodeGetopt2 = _interopRequireDefault(_nodeGetopt);

var _log = require('./log');

var _log2 = _interopRequireDefault(_log);

var _server = require('./server');

var _server2 = _interopRequireDefault(_server);

var _package = require('../package.json');

var _package2 = _interopRequireDefault(_package);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var opt = _nodeGetopt2.default.create([['p', 'port=PORT', 'server port (default 5000)'], ['', 'chunknumber=CHUNKNUMBER', "chunk number parameter (default 'chunknumber')"], ['', 'totalsize=TOTALSIZE', "total size parameter (default 'totalsize')"], ['', 'storageType=TYPE', "disk or memory (default 'memory')"], ['', 'storagePath=PATH', "where to save files (default '/tmp')"], ['', 'route=flies', "the API starting path (default '/files')"], ['v', 'verbose', 'change log level to lowest']]).bindHelp().parseSystem().options;

_log2.default.info('================================');
_log2.default.info('>>> Express REST file server');
_log2.default.info('>>> version: ' + _package2.default.version);
_log2.default.info('================================');

if (opt.verbose) {
  (0, _log.setLogLevel)('silly');
  _log2.default.debug('Command line options', opt);
}

_server2.default.run({
  port: opt.port || process.env.PORT || 5000,
  chunkNumber: opt.chunknumber,
  totalSize: opt.totalsize,
  storage: {
    type: opt.storageType || 'memory',
    path: opt.storageType === 'disk' && opt.storagePath ? opt.storagePath : '/tmp'
  },
  route: opt.route || 'files',
  verbose: !!opt.verbose
});