'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setLogLevel = setLogLevel;

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logger = new _winston.Logger({
  level: _winston2.default.level,
  transports: [new _winston.transports.Console({
    timestamp: function timestamp() {
      return Date.now();
    },
    formatter: function formatter(options) {
      var level = _winston2.default.config.colorize(options.level, options.level.toUpperCase().padEnd(6));
      var message = options.message ? options.message : '';
      var meta = options.meta && Object.keys(options.meta).length ? '\n' + JSON.stringify(options.meta, null, 2) : '';
      return '[' + options.timestamp() + '][' + level + '] ' + message + ' ' + meta;
    }
  })]
});

exports.default = logger;
function setLogLevel(level) {
  logger.transports.console.level = level;
}